org.eclipse.mat.ui.snapshot.panes.oql.contentAssist

## Class ContentAssistElement

- java.lang.Object
- - org.eclipse.mat.ui.snapshot.panes.oql.contentAssist.ContentAssistElement

All Implemented Interfaces:
  Comparable<ContentAssistElement>

    public class ContentAssistElement
    extends Object
    implements Comparable<ContentAssistElement>

Javabean to temporarily store classnames for the content assistant in an ordered structure.

### Constructor Summary

Constructors
Constructor and Description
`ContentAssistElement(String className, org.eclipse.swt.graphics.Image image)`
`ContentAssistElement(String className, org.eclipse.swt.graphics.Image image, String display)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(ContentAssistElement o)` Uses String compare method.
`boolean` `equals(Object obj)`
`String` `getClassName()`
`String` `getDisplayString()`
`org.eclipse.swt.graphics.Image` `getImage()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContentAssistElement

    public ContentAssistElement(String className,
                                org.eclipse.swt.graphics.Image image)

#### ContentAssistElement

    public ContentAssistElement(String className,
                                org.eclipse.swt.graphics.Image image,
                                String display)

### Method Detail

#### compareTo

    public int compareTo(ContentAssistElement o)

Uses String compare method.

Specified by:
  `compareTo` in interface `Comparable<ContentAssistElement>`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### getClassName

    public String getClassName()

#### getDisplayString

    public String getDisplayString()

#### getImage

    public org.eclipse.swt.graphics.Image getImage()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`